
#ifndef __CELL__GIBSON__
#define __CELL__GIBSON__

#ifndef NULL
#define NULL 0x00000000
#endif

enum NetConnection {ul_port,um_port,ur_port,ll_port,lm_port,lr_port,not_connected};

class Cell {
public:
	Cell(int number, int one, int two);
	Cell(int number, int one, int two, int three);
	Cell(int number, int one, int two, int three, int four);
	Cell(int number, int one, int two, int three, int four, int five);
	~Cell();

	NetConnection getConnection(int net);
	void MirrorAboutX();

	int myNumber;

	// terminals, defined by:
	// {u = upper, l = lower} INTERSERCT {l = left,m = middle, r = right}
	// terminal = 0 -> Not connected
	int ul, um, ur, ll, lm, lr;

};

#endif

