
#include "Cell.h"

#ifndef __CELLLATTICE_GIBSON__
#define __CELLLATTICE_GIBSON__

class CellLattice {
public:
	CellLattice();
	~CellLattice();

	void Init(int max_rowlen, int num_cells);
	void Init(CellLattice * subject);
	void FreeMem();
	void AddCell(Cell * newCell);

	long * operator[](int row);

	int nRows();
	int nCols();

	// debugging
	void dump();

private:
	int n_rows;
	int n_cols;

	bool isClone;

	long * matrix;

};

#endif

